## NAME

v.prune - Prunes points from binary GRASS vector data files.
(GRASS Vector Program)

## SYNOPSIS

v.prune
v.prune help
v.prune [-i] input=name output=name thresh=value

## DESCRIPTION

The GRASS program v.prune allows the user to remove extra points from a vector file. This allows users to reduce disk space required by a vector file and still have data accuracy within a given tolerance.

## OPTIONS

### Flag:

-i
  The pruning threshold value is specified in map inches, rather than in data base units on the ground.

### Parameters:

input=name
  Name of binary GRASS vector file containing data to be pruned.
output=name
  Name to be assigned to new, pruned vector output file.
thresh=value
  Threshold value used for pruning.

The program will be run non-interactively if the user specifies all parameters and (optionally) the -i flag on the command line, using the form:

  v.prune [-i] input=name output=name thresh=value

If the user simply types v.prune without specifying program arguments on the command line, the program will prompt the user to enter parameter values.

## NOTES

The threshold value is the same as the v.digit pruning threshold. This is specified in data base units on the ground (e.g., in ground meters for UTM data bases). The threshold can also be specified in inches on the map, and the program will convert these to data base ground units using the scale in the vector file. If you specify the scale in map inches rather than in ground units, you must specify that inches are used by setting the -i flag. The input vector data layer will be read and the resultant pruned vector data layer will be placed into a newly created output file whose name is specified by the user, leaving the original vector map unchanged.

The pruning algorithm throws away redundant points within the specified threshold. It works on each vector separately, working from node to node. It does not change the position or number of nodes.

## SEE ALSO

v.in.ascii, v.clean, v.digit, v.prune, v.rmdup, v.spag, v.support

## AUTHOR

Dave Gerdes, U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2002/01/25 05:45:35 $